コンテンツへスキップ

Happy Horse · Reference to Video

統合

モデルID alibaba/happy-horse/reference-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/alibaba/happy-horse/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $1.40 1,400 APIクレジット · ≈ ₽150.61 このページで実行

APIキーを取得
Alibaba 参照画像から動画 参照入力リップシンク3–15 s1080pまで #stylized#transform#lipsync

プロンプトと1~9枚の参照画像から、被写体の一貫性を保ったネイティブ音声付き動画を生成します

Alibaba · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

作成する動画の説明テキスト。2500 文字以内。`image_urls` 内の位置に対応する画像の被写体を `character1`、`character2` から `character9` で指定します。

•必須 image_urls
ファイルをドロップ、または

被写体の一貫性を保つための参照画像。1~9 枚を指定し、各ファイルは 10 MB 以下にします。JPEG、JPG、PNG、WEBP を使用し、短辺は 400 px 以上にしてください。推奨解像度は 720P 以上です。

duration 5 s

結果の動画の長さ。3~15 秒。

aspect_ratio デフォルト 16:9

結果の動画のアスペクト比。

resolution デフォルト 1080p

結果の動画の解像度ティア。

詳細設定 seed · enable_safety_checker

再現可能な結果を得るためのランダムシード。0~2147483647。

POST /run/alibaba/happy-horse/reference-to-video?wait=20 見積もり → $1.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/alibaba/happy-horse/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Happy Horse · Reference to Videoについて

`prompt`と`image_urls`内の1~9枚の参照画像から動画を作成します。被写体はプロンプト内でcharacter1からcharacter9として、画像の順番どおりに指定します。`duration`は3~15秒、`resolution`は720pまたは1080p、`aspect_ratio`は16:9、9:16、1:1、4:3、3:4です。プロンプトは2500文字に制限されます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
作成する動画の説明テキスト。2500 文字以内。`image_urls` 内の位置に対応する画像の被写体を `character1`、`character2` から `character9` で指定します。
image_urls必須 images
型url[] · image
被写体の一貫性を保つための参照画像。1~9 枚を指定し、各ファイルは 10 MB 以下にします。JPEG、JPG、PNG、WEBP を使用し、短辺は 400 px 以上にしてください。推奨解像度は 720P 以上です。
aspect_ratio任意
型enum
デフォルト16:9
16:99:161:14:33:4
結果の動画のアスペクト比。
resolution任意
型enum
デフォルト1080p
720p1080p
結果の動画の解像度ティア。
duration任意
型enum
デフォルト5
3456789101112131415
結果の動画の長さ。3~15 秒。
seed任意
型integer | null
再現可能な結果を得るためのランダムシード。0~2147483647。
enable_safety_checker任意
型boolean
デフォルトtrue
入力と出力のモデレーション。アカウントに無効化権限があり、オプションをオフにしない限り、すべてのリクエストで適用されます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "alibaba/happy-horse/reference-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1400,
    "usd": "1.40",
    "charged": 1400,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}生成された動画ファイル。
seed
integer生成時に適用したシード値。

その他のモデル: 参照画像から動画

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/alibaba/happy-horse/reference-to-video.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt